package com.ruoyi.oa.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.entity.SysUser;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc合同会审对象 cmc_contract_meeting
 *
 * @author cmc
 * @date 2024-04-19
 */
public class CmcContractMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 合同会审id */
    private Long meetingId;

    /** 合同id */
    @Excel(name = "合同id")
    private String contractId;

    /** 评审时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评审时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meetingTime;

    /** 评审主持人 */
    @Excel(name = "评审主持人")
    private Long hostId;

    private SysUser hostUser;

    /** 评审地点 */
    @Excel(name = "评审地点")
    private String place;

    /** 参与评审人 */
    @Excel(name = "参与评审人")
    private String users;

    /** 评审结论 */
    @Excel(name = "评审结论")
    private String conclusion;

    /** 评审意见表 */
    @Excel(name = "评审意见表")
    private String document;

    /** 总结时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "总结时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date commentTime;

    public void setMeetingId(Long meetingId)
    {
        this.meetingId = meetingId;
    }

    public Long getMeetingId()
    {
        return meetingId;
    }
    public void setContractId(String contractId)
    {
        this.contractId = contractId;
    }

    public String getContractId()
    {
        return contractId;
    }
    public void setMeetingTime(Date meetingTime)
    {
        this.meetingTime = meetingTime;
    }

    public Date getMeetingTime()
    {
        return meetingTime;
    }
    public void setHostId(Long hostId)
    {
        this.hostId = hostId;
    }

    public Long getHostId()
    {
        return hostId;
    }
    public void setHostUser(SysUser hostUser)
    {
        this.hostUser = hostUser;
    }

    public SysUser getHostUser()
    {
        return hostUser;
    }
    public void setPlace(String place)
    {
        this.place = place;
    }

    public String getPlace()
    {
        return place;
    }
    public void setUsers(String users)
    {
        this.users = users;
    }

    public String getUsers()
    {
        return users;
    }
    public void setConclusion(String conclusion)
    {
        this.conclusion = conclusion;
    }

    public String getConclusion()
    {
        return conclusion;
    }
    public void setDocument(String document)
    {
        this.document = document;
    }

    public String getDocument()
    {
        return document;
    }
    public void setCommentTime(Date commentTime)
    {
        this.commentTime = commentTime;
    }

    public Date getCommentTime()
    {
        return commentTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("meetingId", getMeetingId())
                .append("contractId", getContractId())
                .append("meetingTime", getMeetingTime())
                .append("hostId", getHostId())
                .append("place", getPlace())
                .append("users", getUsers())
                .append("conclusion", getConclusion())
                .append("document", getDocument())
                .append("commentTime", getCommentTime())
                .toString();
    }
}
